<div nz-row nzGutter="8">
  <div nz-col nzXs="24" nzSm="24" nzXl="6" style="margin-bottom: 10px;">
    <nz-card [nzTitle]="profileTpl" nzSize="small" [nzLoading]="isLoading" style="margin-bottom: 10px;">
      <ng-template #profileTpl>
        <div style="text-align: center;">
          {{ organisation?.name }}
        </div>
      </ng-template>

      <div style="text-align: center;">
        <app-entity-avatar *ngIf="organisation" entityType="organisation" [(avatar)]="organisation.avatar">
        </app-entity-avatar>

        <div>
          {{ "Common.Location" | translate }}:
          <a style="margin-right: 5px" [routerLink]="['/region', organisation?.region?.id]">{{
            organisation?.region?.name }}</a>
          <span *ngIf="organisation?.region?.country">of
            <a
              [routerLink]="['/country', organisation?.region?.country?.id]">{{organisation?.region?.country?.name}}</a>
          </span>
        </div>

        <nz-divider></nz-divider>

        <button *ngIf="!isEntity" class="button-basic" nz-button nzShape="round" (click)="switchTo(organisation?.id)" nz-tooltip
          nzTooltipTitle='{{ "Common.Buttons.Switch" | translate }}'>
          <i class="fas fa-redo"></i>
        </button>

        <button *ngIf="!isEntity" class="button-basic" nz-button nzShape="round" [routerLink]="['/donate', targetEntityType, organisation?.id]"
          nz-tooltip nzTooltipTitle='{{ "Common.Buttons.Donate" | translate }}'>
          <i class="fas fa-donate"></i>
        </button>

        <button *ngIf="!isEntity" class="button-basic" nz-button nzShape="round" [routerLink]="['/trade', targetEntityType, organisation?.id]"
          nz-tooltip nzTooltipTitle='{{ "Economy.Trade.Trad" | translate }}'>
          <i class="far fa-handshake"></i>
        </button>

        <button *ngIf="isEntity && organisation.enabledPublicOffering === false && !organisation.nationalOfCountry"
          class="button-basic" nz-button nzShape="round" (click)="enablePublicOffering()" nz-tooltip
          nzTooltipTitle='{{ "Economy.Market.EnablePublicOffering" | translate }}'>
          <i class="fas fa-cubes"></i>
        </button>

        <button *ngIf="isMod" class="button-basic" nz-button nzShape="round" (click)="showModPanel()" nz-tooltip="Mod panel">
          <span nz-icon nzType="more" nzTheme="outline"></span>
        </button>

        <app-entity-settings *ngIf="isEntity && organisation" [(entity)]="organisation" entityType="organisation">
        </app-entity-settings>

        <app-report-button entityType="organisation" [entityId]="organisation?.id">
        </app-report-button>
      </div>
    </nz-card>

    <app-entity-members *ngIf="organisation" [entityId]="id" entityType="organisations"></app-entity-members>

    <app-common-currencies-list *ngIf="organisation && isEntity === true" [showHistoryButton]="true"
      entityType="organisation" [entityId]="id"></app-common-currencies-list>

    <app-moderator-notes-list *ngIf="organisation" [entityId]="organisation?.id" entityType="organisation">
    </app-moderator-notes-list>
  </div>

  <div nz-col nzXs="24" nzSm="24" nzXl="18">
    <app-entity-bio [bio]="organisation?.bio" [isEntity]="isEntity"></app-entity-bio>

    <app-entity-company-list *ngIf="organisation" [entityType]="
        organisation.nationalOfCountry ? 'NationalOrganization' : 'organisation'
      " [entityId]="organisation?.id"></app-entity-company-list>
  </div>
</div>
